apiVersion: networking.k8s.io/v1
kind: Ingress # ประเภทของ Resource
metadata:
  name: first-ingress # ชื่อของ Ingress
spec:
  rules: # ส่วนของการกำหนด Rule ให้กับ Ingress
  - host: "first-pod.example.com" # Hostname ที่จะให้ User เข้าใช้งาน
    http:
      paths:
      - path: / # Path ที่จะให่เข้ามาใช้งาน Pod
        pathType: Prefix # ประเภทของการ Match Path
        backend: # ส่วนของการระบุ Service ที่จะให้นำทางไปยัง Pod
          service:
            name: first-svc # ชื่อของ Service
            port:
              number: 80 #  Port ของ Service
